aboutsummaryrefslogtreecommitdiff
path: root/scripts/package
diff options
context:
space:
mode:
authorMichael Neuling <mikey@neuling.org>2014-09-05 17:55:18 +1000
committerMichal Marek <mmarek@suse.cz>2014-09-12 16:10:42 +0200
commit22739edfc563fa42f02a2f7323fd352061ef32b3 (patch)
tree3c71cef7b86851e174464c3d7f760e35d3c883ca /scripts/package
parent2d0871396995139b37f9ceb153c8b07589148343 (diff)
deb-pkg: Add support for powerpc little endian
The Debian powerpc little endian architecture is called ppc64el. This is the default architecture used by Ubuntu for powerpc. The below checks the kernel config to see if we are compiling little endian and sets the Debian arch appropriately. Signed-off-by: Michael Neuling <mikey@neuling.org> Signed-off-by: Michal Marek <mmarek@suse.cz>
Diffstat (limited to 'scripts/package')
-rw-r--r--scripts/package/builddeb2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 7c0e6e46905d..cfe5e27dd09e 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -37,7 +37,7 @@ create_package() {
s390*)
debarch=s390$(grep -q CONFIG_64BIT=y $KCONFIG_CONFIG && echo x || true) ;;
ppc*)
- debarch=powerpc ;;
+ debarch=$(grep -q CPU_LITTLE_ENDIAN=y $KCONFIG_CONFIG && echo ppc64el || echo powerpc) ;;
parisc*)
debarch=hppa ;;
mips*)